---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:17:47Z"
    creationTimestamp: "2025-10-27T11:19:40Z"
    labels:
      app: machine-approver
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:17:48Z"
    name: machine-approver
    namespace: openshift-cluster-machine-approver
    resourceVersion: "38452"
    uid: c263c128-fbe4-420a-8b5b-1984f47dee00
  subsets:
  - addresses:
    - ip: 10.46.248.42
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: machine-approver-7db66c6c6b-vpsjp
        namespace: openshift-cluster-machine-approver
        uid: 8d6a453f-fbbb-4681-9662-77659a1ee2a3
    ports:
    - name: https
      port: 9192
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "2220258"
